Summary: A graphical interface for administering users and groups.
Name: redhat-config-users
Version: 0.9.2
Release: 6
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: Applications/System
BuildRoot: %{_tmppath}/redhat-config-users-%{version}-root
BuildArch: noarch
Source: redhat-config-users-%{version}.tar.bz2
Requires: libuser
Requires: pygnome
Requires: python
Requires: pygtk
Requires: usermode >= 1.36
BuildPrereq: python

%description
Redhat-config-users is a graphical utility for administrating users
and groups. It depends on the libuser library.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install

# Byte-compile all of the python modules.
python -c "import compileall; compileall.compile_dir(dir='$RPM_BUILD_ROOT',ddir='/')"

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%doc doc/*
/usr/bin/redhat-config-users
%dir /usr/share/redhat-config-users
/usr/share/redhat-config-users/*
#%{_mandir}/man8/redhat-config-users*
%attr(0644,root,root) %config /etc/X11/applnk/System/redhat-config-users.desktop
%attr(0644,root,root) %config /etc/X11/sysconfig/redhat-config-users.desktop
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-users
%attr(0644,root,root) %config /etc/pam.d/redhat-config-users

%changelog
* Wed Aug 29 2001 Brent Fox <bfox@redhat.com>
- Fixed desktop file problem
- Nakai added Japanese support to the desktop file
* Thu Aug 9 2001 Tammy Fox <tfox@redhat.com>
- added documentation
* Thu Aug 9 2001 Nalin Dahyabhai <nalin@redhat.com>
- Attempt to minimize enumerations where possible
- Always use defined constants for attribute names
* Thu Aug 9 2001 Brent Fox <bfox@redhat.com>
- fixes for password aging
* Wed Aug  8 2001 Nalin Dahyabhai <nalin@redhat.com>
- byte-compile python modules in %%install and include them in the package
* Wed Jul 26 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese translation
* Wed Jul 26 2001  Yukihiro Nakai <ynakai@redhat.com>
- Directory restructure for i18n
* Tue Jul 10 2001 Brent Fox <bfox@redhat.com>
- some glade fixups and packaging work
* Mon Jul 09 2001 Tammy Fox <tfox@redhat.com>
- added usermode files to spec file
* Tue Jul 05 2001 Brent Fox <bfox@redhat.com>
- initial packaging
* Wed Jun 13 2001 Brent Fox <bfox@redhat.com>
- mainWindow.glade: Changed GUI per jrb's recommendations
- mainWindow.py: added interfacing with libuser backend
* Wed Jun 6 2001 Jonathan Blandford  <jrb@redhat.com>
- mainWindow.glade: Cleaned up glade file a bunch.
- mainWindow.py: modified to deal with updated glade.


